From 785cca363885ee5ca50d8239e53a4e997cbf37cb Mon Sep 17 00:00:00 2001
From: Kerri Wait <kerri.wait@monash.edu>
Date: Wed, 30 Aug 2017 13:46:39 +1000
Subject: [PATCH] Adding new NHC for xorg.conf so that vglrun works on vis
 nodes

Former-commit-id: 6ef94fd1251fb9916f43ba760dfd915154b720f7
---
 .../scripts/check_xorg_conf_file_existance.nhc     | 14 ++++++++++++++
 1 file changed, 14 insertions(+)
 create mode 100644 roles/nhc/files/scripts/check_xorg_conf_file_existance.nhc

diff --git a/roles/nhc/files/scripts/check_xorg_conf_file_existance.nhc b/roles/nhc/files/scripts/check_xorg_conf_file_existance.nhc
new file mode 100644
index 00000000..7ebaa3db
--- /dev/null
+++ b/roles/nhc/files/scripts/check_xorg_conf_file_existance.nhc
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+function check_xorg_conf_file_existance() {
+#echo ">>> Checking xorg.conf File Existance >>>>>>>>>>>>>>>>>>>>>>>>>"
+
+test -e /etc/X11/xorg.conf
+
+if [ $? -ne 0 ]
+then
+     die 1 " $FUNCNAME ERROR xorg.conf File Not Detected"
+     return 1
+fi
+return 0
+}
-- 
GitLab